WTF??? Install script fails!

5 posts / 0 new
Last post
#1 Thu, 05/08/2008 - 09:10
JoSch

WTF??? Install script fails!

Hello, I just posted this question, but can't view the Topic, because a topic with the same name exists! There should propably be an ID in the URL or something. Ok, so here again:

I try to install Virtualmin OSE on an debian Etch system. I am pretty new to servers, I just rent a vServer to play around. Here is the error it shows on the console: [code:1] INFO - Cleaning up apt headers and packages, so we can start fresh... INFO - INFO - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded. INFO - Disabling any CD-based apt repositories so the process can run without assistance INFO - Installing Webmin and Virtualmin package signing keys... INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded. INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded. INFO - OK INFO - OK Failed to fetch http://software.virtualmin.com/gpl/debian/dists/virtualmin-etch/Release No MD5Sum entry in Release file /var/lib/apt/lists/software.virtualmin.com_gpl_debian_dists_virtualmin-etch_Release W: Couldn't stat source package list http://software.virtualmin.com virtualmin-etch/main Packages (/var/lib/apt/lists/software.virtualmin.com_gpl_debian_dists_virtualmin-etch_main_binary-i386_Packages) - stat (2 No such file or directory) W: You may want to run apt-get update to correct these problems E: Some index files failed to download, they have been ignored, or old ones used instead. INFO - Get:1 INFO - Removing Debian standard Webmin package, if they exist (because they're broken)... INFO - Removing Debian apache packages... W: Couldn't stat source package list http://software.virtualmin.com virtualmin-etch/main Packages (/var/lib/apt/lists/software.virtualmin.com_gpl_debian_dists_virtualmin-etch_main_binary-i386_Packages) - stat (2 No such file or directory) W: You may want to run apt-get update to correct these problems INFO - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-tls postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl INFO - ...in progress, please wait... |W: Couldn't stat source package list http://software.virtualmin.com virtualmin-etch/main Packages (/var/lib/apt/lists/software.virtualmin.com_gpl_debian_dists_virtualmin-etch_main_binary-i386_Packages) - stat (2 No such file or directory) W: You may want to run apt-get update to correct these problems INFO - ...in progress, please wait... Succeeded. INFO - Succeeded. INFO - Installing Virtualmin and all related packages now using the command: INFO - /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install virtualmin-base INFO - ...in progress, please wait... |W: Couldn't stat source package list http://software.virtualmin.com virtualmin-etch/main Packages (/var/lib/apt/lists/software.virtualmin.com_gpl_debian_dists_virtualmin-etch_main_binary-i386_Packages) - stat (2 No such file or directory) W: You may want to run apt-get update to correct these problems E: Couldn't find package virtualmin-base ...in progress, please wait... failed. Error (if any): 0 [/code:1]

Log is attached, but the interesting parts are missing!

[file name=virtualmin_install-7911106da095be74519b9dea51230edc.txt size=3967]http://www.virtualmin.com/components/com_fireboard/uploaded/files/virtua...

Thu, 05/08/2008 - 09:45
Joe
Joe's picture

Ah, yes, I broke the debian/ubuntu repositories in beautifully dramatic ways yesterday while building Ubuntu 8.04 support (I "improved" my repo management scripts). I'm working on it.

Thanks for the heads up (I didn't know about this particular brokenness yet).

--

Check out the forum guidelines!

Thu, 05/08/2008 - 10:16
JoSch

Great, this means I didn't do anything wrong :D
Any Idea when this will be fixed?

Thu, 05/08/2008 - 10:50
Joe
Joe's picture

No idea. But probably within the next few hours.

I'm actually dealing with multiple issues. One of them is that I destroyed my previous repository building instance by booting from it twice (I develop with virtual systems so I can have a half dozen operating systems running at any given time...this time, however, I booted my repo management system twice, and utterly destroyed the filesystem). So, rather than fight with it, or try to locate the backup I made a couple of months ago, I figured "Ah, my repo management tools were kind of crap anyway...now's as good a time as any to rewrite them and make them work better." But, of course, that assumes that I know more than I knew back when I made those first scripts, which is turning out to be untrue.

Life is hard sometimes.

But, don't fret. I think this particular problem will be easy to fix.

--

Check out the forum guidelines!

Thu, 05/08/2008 - 13:29
Joe
Joe's picture

I believe this is now fixed, along with several other Debian/Ubuntu repository issues.

Note that I'm also rolling out a new version of install.sh for GPL in a few minutes, which improves on some aspects of the install, and adds support for Ubuntu 8.04 (that's not to say you ought to switch to Ubuntu--I think Debian 4.0 is superior on servers).

--

Check out the forum guidelines!